<bugID>839548<Summary>Excessive memory while loading PDF thumbnail view</Summary><Description>&gt; Originally report in bug 820379 comment 7

When I open a PDF (see URL) and turn on the thumbnail pane, I noticed the memory usage climbs to ~3.3 GB. I'm not sure if this is the only use case where PDF.js is using excessive memory. It might be prudent to do some exploratory analysis to find out. In some cases (ex. bug 820379) this results in stability and performance issues.</Description></bugID>